% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/UpdateFeatures.R
\name{UpdateFeatures}
\alias{UpdateFeatures}
\title{Update all features in a specified folder}
\usage{
UpdateFeatures(Path2ReadFiles, savePath = file.path(Path2ReadFiles,
  "Features"), Cores = 1, Backup = F, pattern = "fasta$|mason$",
  verbose = T, ...)
}
\arguments{
\item{Path2ReadFiles}{A path to the location of the read files}

\item{savePath}{Path where features should be saved to (default: Path2ReadFiles/Features)}

\item{Cores}{Multicore functionality for linux systems.}

\item{Backup}{Do you want to backup old features}

\item{pattern}{File extension of read files. Used as regex filter (default "fasta$|mason$")}

\item{verbose}{Write a logfile ("FeatureCreation.log") and verbose output}

\item{...}{Parameters passed to function CreateFeaturesFromReads}

\item{AAindex_Selection}{Parameter for Features}
}
\value{
Returns TRUE if completed
}
\description{
Update all features in a specified folder. Save features in subfolder "Features". Backup old features if desired.
}
\seealso{
Wraps \code{\link{CreateFeaturesFromReads}}
}
\author{
Carlus Deneke
}
